<?php

function UpdateDataLast() {
 global $objAxpDB;
 $strSQL=array();
 $objAxpDB->Allow_update(true);

 switch($_REQUEST[mode]) {
 case "update":

 $ambil = mysql_query("SELECT fnurut, `ftmenu_category`, ftmenu_name FROM tlmenu
          where ftmenu_category='{$_REQUEST['ftmenu_category']}'
          and ftmenu_type = '{$_REQUEST['ftmenu_type']}'
          AND ftmenu_code = '{$_REQUEST['ftmenu_code']}'");

 $hasil  = mysql_fetch_assoc($ambil);

  $srint1 ="UPDATE tlmenu
  SET fnurut = '{$hasil['fnurut']}'
  WHERE ftmenu_category = '{$_REQUEST['ftmenu_category']}'
  AND ftmenu_type = '{$_REQUEST['ftmenu_type']}'
  AND fnurut = '{$_REQUEST['fnurut']}'";

  mysql_query($srint1);

  $srint2 ="UPDATE tlmenu
  SET fnurut = '{$_REQUEST['fnurut']}'
  WHERE ftmenu_category = '{$_REQUEST['ftmenu_category']}'
  AND ftmenu_type = '{$_REQUEST['ftmenu_type']}'
  AND ftmenu_code = '{$_REQUEST['ftmenu_code']}'";

  mysql_query($srint2);

  // $strSQL["n"][]="update tlmenu
  //                 set fnid='{$_REQUEST['fnid']}',
  //                     ftmenu_code='{$_REQUEST['ftmenu_code']}',
  //                     ftmenu_name='{$_REQUEST['ftmenu_name']}',
  //                     ftmenu_category='{$_REQUEST['ftmenu_category']}',
  //                     ftmenu_type='{$_REQUEST['ftmenu_type']}',
  //                     a_href='{$_REQUEST['a_href']}',
  //                    img_alt='{$_REQUEST['img_alt']}',
  //                    fnurut='{$_REQUEST['fnurut']}',
  //                    fnstatus='{$_REQUEST['fnstatus']}',
  //                    fticon='{$_REQUEST['fticon']}',
  //                    WHERE  fnid='{$_REQUEST['fnid']}'";
  // $ambil = mysql_query("SELECT fnurut, `ftmenu_category`, ftmenu_name FROM tlmenu
  //          where ftmenu_category='{$_REQUEST['ftmenu_category']}'
  //          and ftmenu_type = '{$_REQUEST['ftmenu_type']}'
  //          and fnurut = '{$_REQUEST['fnurut']}'");

         break;
  }

   // print_r($strSQL);

  return $strSQL;
}

function SaveData() {
    global $objAxpDB;
    $strSQL=array();
    $objAxpDB->Allow_Save(true);
    switch($_REQUEST[mode]) {

  case "simpan":


  $ambil = mysql_query("SELECT fnurut, `ftmenu_category`, ftmenu_name FROM tlmenu
           where ftmenu_category='{$_REQUEST['ftmenu_category']}'
           and ftmenu_type = '{$_REQUEST['ftmenu_type']}'
           and fnurut = '{$_REQUEST['fnurut']}'");

  if($hasil = mysql_fetch_assoc($ambil)){


  $ssql1="SELECT MAX(fnurut)
               FROM tlmenu
               WHERE ftmenu_category = '{$_REQUEST['ftmenu_category']}'
               AND ftmenu_type = '{$_REQUEST['ftmenu_type']}'";


  $no=RetRstField($ssql1);

  $plus = $no+1;

  $srint ="UPDATE tlmenu
  SET fnurut = '{$plus}'
  WHERE ftmenu_category = '{$_REQUEST['ftmenu_category']}'
  AND ftmenu_type = '{$_REQUEST['ftmenu_type']}'
  AND fnurut = '{$_REQUEST['fnurut']}'";

  mysql_query($srint);

}

// if($hasil = mysql_fetch_assoc($ambil) != '' ){
//
//
// $ssql1="SELECT MAX(fnurut)
//              FROM tlmenu
//              WHERE ftmenu_category = '{$_REQUEST['ftmenu_category']}'
//              AND ftmenu_type = '{$_REQUEST['ftmenu_type']}'";
//
//
// $no=RetRstField($ssql1);
//
// $plus = $no+1;
//
// $srint ="UPDATE tlmenu
// SET fnurut = '{$plus}'
// WHERE ftmenu_category = '{$_REQUEST['ftmenu_category']}'
// AND ftmenu_type = '{$_REQUEST['ftmenu_type']}'
// AND fnurut = '{$_REQUEST['fnurut']}'";
//
// mysql_query($srint);
//
// }else{
//
// $ssql1="SELECT MAX(fnurut)
//              FROM tlmenu
//              WHERE ftmenu_category = '{$_REQUEST['ftmenu_category']}'
//              AND ftmenu_type = '{$_REQUEST['ftmenu_type']}'";
//
// $no=RetRstField($ssql1);
// $hasil = $no + 1;
//
//
//
// // mysql_query($insert);
//
//
// }


    //
             break;
     }



     //  echo "<pre>";
     // print_r($strSQL);
     // echo "</pre>";
     // die;
   return $strSQL;
}

?>
